from django.db import models

# Create your models here.


class Artist(models.Model):
    artist_name = models.CharField(max_length=100)
    monthly_listeners = models.IntegerField()
    birth_name = models.CharField(max_length=100)
    bio = models.CharField(max_length=700)


class Album(models.Model):
    album_name = models.CharField(max_length=100)
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    description = models.CharField(max_length=100)
    release_date = models.DateField()
    label = models.CharField(max_length=100)
    song_count = models.IntegerField()


class Song(models.Model):
    song_title = models.CharField(max_length=100)
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    album = models.ForeignKey(Album, on_delete=models.CASCADE)
    song_length = models.IntegerField()
    music_video = models.BooleanField(default=False)
    lyrics = models.CharField(max_length=5000)
